summaryrefslogtreecommitdiff
path: root/pcr/trytond/trytond.rc
diff options
context:
space:
mode:
authorJorge López Seijas <jorginho@lavabit.com>2013-02-13 18:30:14 +0100
committerJorge López Seijas <jorginho@lavabit.com>2013-02-13 18:30:14 +0100
commitaac3a71810813fdfcf82ae9f5974fef3414b1e7d (patch)
tree3e5f2189982f3990ab4b7296db8a7ab8443dcb8e /pcr/trytond/trytond.rc
parent50367f7542de9a8540e4759050a1581ffbae8576 (diff)
parentb03a7f3a39c200dd7a3879e2cfc6fa3c9664ca72 (diff)
downloadabslibre-aac3a71810813fdfcf82ae9f5974fef3414b1e7d.tar.gz
abslibre-aac3a71810813fdfcf82ae9f5974fef3414b1e7d.tar.bz2
abslibre-aac3a71810813fdfcf82ae9f5974fef3414b1e7d.zip
Merge ssh://parabolagnulinux.org:1863/srv/git/abslibre
Diffstat (limited to 'pcr/trytond/trytond.rc')
-rw-r--r--pcr/trytond/trytond.rc52
1 files changed, 52 insertions, 0 deletions
diff --git a/pcr/trytond/trytond.rc b/pcr/trytond/trytond.rc
new file mode 100644
index 000000000..a93172a58
--- /dev/null
+++ b/pcr/trytond/trytond.rc
@@ -0,0 +1,52 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/python /usr/bin/trytond`
+case "$1" in
+ start)
+ stat_busy "Starting Tryton server"
+ # handling log file
+ if [ ! -e /var/log/trytond/trytond.log ]; then
+ mkdir -p /var/log/trytond
+ touch /var/log/trytond/trytond.log
+ chown -R trytond:trytond /var/log/trytond
+ fi
+ # starting the daemon
+ if [ -z "$PID" ]; then
+ su - trytond -s /bin/bash -c "/usr/bin/python2 /usr/bin/trytond \
+ --logfile=/var/log/trytond/trytond.log &> /dev/null &"
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon trytond
+ stat_done
+ fi
+ else
+ stat_fail
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Tryton server"
+ if [ ! -z "$PID" ]; then
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ kill $PID &> /dev/null &
+ rm_daemon trytond
+ stat_done
+ fi
+ else
+ stat_fail
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0